summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-08-16 21:31:36 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2021-09-02 18:46:22 +0200
commit11a3001b4252f0991cd9bb4458c14e670b8750fc (patch)
tree6fbc896eb0bb8b5699f7f91b980914f0ed182f57 /eclass/cmake.eclass
parentcmake.eclass: Enforce CMAKE_REMOVE_MODULES_LIST be an array (diff)
downloadgentoo-11a3001b4252f0991cd9bb4458c14e670b8750fc.tar.gz
gentoo-11a3001b4252f0991cd9bb4458c14e670b8750fc.tar.bz2
gentoo-11a3001b4252f0991cd9bb4458c14e670b8750fc.zip
cmake.eclass: Enable CMAKE_INSTALL_ALWAYS
Bug: https://bugs.gentoo.org/735820 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'eclass/cmake.eclass')
-rw-r--r--eclass/cmake.eclass5
1 files changed, 5 insertions, 0 deletions
diff --git a/eclass/cmake.eclass b/eclass/cmake.eclass
index 7a8059ba0711..4203b9364cc3 100644
--- a/eclass/cmake.eclass
+++ b/eclass/cmake.eclass
@@ -535,6 +535,11 @@ cmake_src_configure() {
echo 'set(CMAKE_COLOR_MAKEFILE OFF CACHE BOOL "pretty colors during make" FORCE)' >> "${common_config}" || die
fi
+ # See bug 735820
+ if [[ ${EAPI} != 7 ]]; then
+ echo 'set(CMAKE_INSTALL_ALWAYS 1)' >> "${common_config}" || die
+ fi
+
# Wipe the default optimization flags out of CMake
if [[ ${CMAKE_BUILD_TYPE} != Gentoo ]]; then
cat >> ${common_config} <<- _EOF_ || die